### Method

# Gimp PDB get_last_error

since: 3.0

#### Declaration [src]

    const gchar*
    gimp_pdb_get_last_error (
      GimpPDB* pdb
    )

#### Description [src]

Retrieves the error message from the last procedure call.

If a procedure call fails, then it might pass an error message with the return values. Plug-ins that are using the libgimp C wrappers don’t access the procedure return values directly. Thus `GimpPDB` stores the error message and makes it available with this function. The next procedure call unsets the error message again.

The returned string is owned by `pdb` and must not be freed or modified.

Available since: 3.0

#### Return value

Type: `const gchar*`

The error message.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.